Skip to content
Start here

List downloads

stream.downloads.get(stridentifier, DownloadGetParams**kwargs) -> DownloadGetResponse
GET/accounts/{account_id}/stream/{identifier}/downloads

Lists the downloads created for a video.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Stream WriteStream Read
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
identifier: str

A Cloudflare-generated unique identifier for a media item.

maxLength32
ReturnsExpand Collapse
class DownloadGetResponse:

An object with download type keys. Each key is optional and only present if that download type has been created.

audio: Optional[Audio]

The audio-only download. Only present if this download type has been created.

percent_complete: Optional[float]

Indicates the progress as a percentage between 0 and 100.

maximum100
minimum0
status: Optional[Literal["ready", "inprogress", "error"]]

The status of a generated download.

One of the following:
"ready"
"inprogress"
"error"
url: Optional[str]

The URL to access the generated download.

formaturi
default: Optional[Default]

The default video download. Only present if this download type has been created.

percent_complete: Optional[float]

Indicates the progress as a percentage between 0 and 100.

maximum100
minimum0
status: Optional[Literal["ready", "inprogress", "error"]]

The status of a generated download.

One of the following:
"ready"
"inprogress"
"error"
url: Optional[str]

The URL to access the generated download.

formaturi

List downloads

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
download = client.stream.downloads.get(
    identifier="ea95132c15732412d22c1476fa83f27a",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(download.audio)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "audio": {
      "percentComplete": 0,
      "status": "ready",
      "url": "https://customer-m033z5x00ks6nunl.cloudflarestream.com/ea95132c15732412d22c1476fa83f27a/downloads/default.mp4"
    },
    "default": {
      "percentComplete": 0,
      "status": "ready",
      "url": "https://customer-m033z5x00ks6nunl.cloudflarestream.com/ea95132c15732412d22c1476fa83f27a/downloads/default.mp4"
    }
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "audio": {
      "percentComplete": 0,
      "status": "ready",
      "url": "https://customer-m033z5x00ks6nunl.cloudflarestream.com/ea95132c15732412d22c1476fa83f27a/downloads/default.mp4"
    },
    "default": {
      "percentComplete": 0,
      "status": "ready",
      "url": "https://customer-m033z5x00ks6nunl.cloudflarestream.com/ea95132c15732412d22c1476fa83f27a/downloads/default.mp4"
    }
  }
}